config:rni

NAME
config:rni - Configures Real Networks protocol caching.

SYNOPSIS
config:rni [options]

DESCRIPTION
The config:rni command enables you to configure Real Networks protocol caching through a variety of options. You must use one of the options described below.

OPTIONS
The following options are supported for the config:rni command:

  status <on | off>
Enables (on) or disables (off) the Real Networks protocol.

  verbosity <on | off>
Enables (on) or disables (off) the Real Networks verbosity feature.

  cache-port <portno>
Specifies the cache port used by Real Networks.

  watcher-enabled <on | off>
Enables (on) or disables (off) the Real Networks watcher feature.

  control-port <portno>
Specifies the Real Networks control port.

  proxy-port <portno>
Specifies the Real Networks proxy port.

  pid-path <string>
Specifies the Real Networks PID path.

  restart-cmd <need info>
Specifies the restart command.

  restart-interval <integer>
Specifies the restart interval.

  service-name <string>
Specifies the service name.

EXAMPLES

  Example 1. Enabling Real Networks verbosity.

traffic_shell> config:rni verbosity on
traffic_shell>

  Example 2. Specifying the proxy port number

traffic_shell> config:rni proxy-port 9231
traffic_shell>

SEE ALSO
show:rni